Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOProcessApprovalDetail.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOProcessApprovalDetail.cs	(revision 266)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOProcessApprovalDetail.cs	(revision 267)
@@ -65,17 +65,18 @@
         private string CreateSelectSQL()
         {
             // SQL作成
-            string strcmd = "SELECT";
-            strcmd += " ConstructionCode";
-            strcmd += ",ApprovalCode";
-            strcmd += ",OrderNo";
-            strcmd += ",SerialNo";
-            strcmd += ",LinkCode";
-            strcmd += ",DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";
-            strcmd += ",DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')";
-            strcmd += " FROM ProcessApprovalDetail";
+            StringBuilder strcmd = new StringBuilder();
+            strcmd.Append("SELECT");
+            strcmd.Append(" ConstructionCode");
+            strcmd.Append(",ApprovalCode");
+            strcmd.Append(",OrderNo");
+            strcmd.Append(",SerialNo");
+            strcmd.Append(",LinkCode");
+            strcmd.Append(",DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')");
+            strcmd.Append(",DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')");
+            strcmd.Append(" FROM ProcessApprovalDetail");
 
-            return strcmd;
+            return strcmd.ToString();
         }
         #endregion
 
@@ -90,16 +91,17 @@
         public bool SelectAction(string AddSQLString, ref List<ProcessApprovalDetail> data, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             ArrayList arData = new ArrayList();
 
             try
             {
                 // SQL作成
-                strcmd = CreateSelectSQL() + AddSQLString;
+                strcmd.Append(CreateSelectSQL());
+                strcmd.Append(AddSQLString);
 
                 // SQL実行
-                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return false;
 
                 // データセット
                 foreach (object[] objwrk in arData)
@@ -113,7 +115,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
 
@@ -131,16 +133,17 @@
         public bool SelectAction(string AddSQLString, ref ProcessApprovalDetail data, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             ArrayList arData = new ArrayList();
 
             try
             {
                 // SQL作成
-                strcmd = CreateSelectSQL() + AddSQLString;
+                strcmd.Append(CreateSelectSQL());
+                strcmd.Append(AddSQLString);
 
                 // SQL実行
-                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return false;
                 if (arData.Count == 0) return false;
 
                 // データセット
@@ -151,7 +154,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
 
@@ -166,46 +169,46 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool InsertAction(List<ProcessApprovalDetail> data, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
                 bool bColFirst = true;
-                strcmd = "INSERT INTO ProcessApprovalDetail";
-                strcmd += " (";
+                strcmd.Append("INSERT INTO ProcessApprovalDetail");
+                strcmd.Append(" (");
                 foreach (var gender in Enum.GetValues(typeof(ColumnName)))
                 {
-                    if (!bColFirst) strcmd += ", ";
-                    strcmd += gender.ToString();
+                    if (!bColFirst) strcmd.Append(", ");
+                    strcmd.Append(gender.ToString());
                     bColFirst = false;
                 }
-                strcmd += ") VALUES";
+                strcmd.Append(") VALUES");
 
                 bool bDataFirst = true;
                 foreach (ProcessApprovalDetail work in data)
                 {
-                    if (bDataFirst) strcmd += " (";
-                    else strcmd += ", (";
+                    if (bDataFirst) strcmd.Append(" (");
+                    else strcmd.Append(", (");
 
-                    strcmd += string.Format("  {0}", work.ConstructionCode.ToString());
-                    strcmd += string.Format(", {0}", work.ApprovalCode.ToString());
-                    strcmd += string.Format(", {0}", work.OrderNo.ToString());
-                    strcmd += string.Format(", {0}", work.SerialNo.ToString());
-                    strcmd += string.Format(", {0}", work.LinkCode.ToString());
+                    strcmd.AppendFormat("  {0}", work.ConstructionCode.ToString());
+                    strcmd.AppendFormat(", {0}", work.ApprovalCode.ToString());
+                    strcmd.AppendFormat(", {0}", work.OrderNo.ToString());
+                    strcmd.AppendFormat(", {0}", work.SerialNo.ToString());
+                    strcmd.AppendFormat(", {0}", work.LinkCode.ToString());
 
-                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
-                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
-                    strcmd += ")";
+                    strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
+                    strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
+                    strcmd.Append(")");
 
                     bDataFirst = false;
                 }
 
-                if (!ExecuteNonQuery(strcmd, false)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), false)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -220,38 +223,38 @@
         /// <returns></returns>
         public bool InsertAction(ProcessApprovalDetail data, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
 
                 bool bColFirst = true;
-                strcmd = "INSERT INTO ProcessApprovalDetail";
-                strcmd += " (";
+                strcmd.Append("INSERT INTO ProcessApprovalDetail");
+                strcmd.Append(" (");
                 foreach (var gender in Enum.GetValues(typeof(ColumnName)))
                 {
-                    if (!bColFirst) strcmd += ", ";
-                    strcmd += gender.ToString();
+                    if (!bColFirst) strcmd.Append(", ");
+                    strcmd.Append(gender.ToString());
                     bColFirst = false;
                 }
-                strcmd += ") VALUES (";
+                strcmd.Append(") VALUES (");
 
-                strcmd += string.Format("  {0}", data.ConstructionCode.ToString());
-                strcmd += string.Format(", {0}", data.ApprovalCode.ToString());
-                strcmd += string.Format(", {0}", data.OrderNo.ToString());
-                strcmd += string.Format(", {0}", data.SerialNo.ToString());
-                strcmd += string.Format(", {0}", data.LinkCode.ToString());
+                strcmd.AppendFormat("  {0}", data.ConstructionCode.ToString());
+                strcmd.AppendFormat(", {0}", data.ApprovalCode.ToString());
+                strcmd.AppendFormat(", {0}", data.OrderNo.ToString());
+                strcmd.AppendFormat(", {0}", data.SerialNo.ToString());
+                strcmd.AppendFormat(", {0}", data.LinkCode.ToString());
 
-                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", data.EntryDate);
-                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", data.UpdateDate);
-                strcmd += ")";
+                strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", data.EntryDate);
+                strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", data.UpdateDate);
+                strcmd.Append(")");
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -266,30 +269,30 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool UpdateAction(string AddSQLString, ProcessApprovalDetail data, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
 
-                strcmd = "UPDATE ProcessApprovalDetail";
+                strcmd.Append("UPDATE ProcessApprovalDetail");
 
-                strcmd += " SET";
+                strcmd.Append(" SET");
 
-                strcmd += string.Format(" ConstructionCode = {0}", data.ConstructionCode.ToString());
-                strcmd += string.Format(",ApprovalCode = {0}", data.ApprovalCode.ToString());
-                strcmd += string.Format(",OrderNo = {0}", data.OrderNo.ToString());
-                strcmd += string.Format(",SerialNo = {0}", data.SerialNo.ToString());
-                strcmd += string.Format(",LinkCode = {0}", data.LinkCode.ToString());
+                strcmd.AppendFormat(" ConstructionCode = {0}", data.ConstructionCode.ToString());
+                strcmd.AppendFormat(",ApprovalCode = {0}", data.ApprovalCode.ToString());
+                strcmd.AppendFormat(",OrderNo = {0}", data.OrderNo.ToString());
+                strcmd.AppendFormat(",SerialNo = {0}", data.SerialNo.ToString());
+                strcmd.AppendFormat(",LinkCode = {0}", data.LinkCode.ToString());
 
-                strcmd += ", UpdateDate = NOW()";
-                strcmd += AddSQLString;
+                strcmd.Append(", UpdateDate = NOW()");
+                strcmd.Append(AddSQLString);
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -305,18 +308,18 @@
         public bool DeleteAction(string AddSQLString, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
-                strcmd = string.Format("{0}{1}", "DELETE FROM ProcessApprovalDetail", AddSQLString);
+                strcmd.AppendFormat("{0}{1}", "DELETE FROM ProcessApprovalDetail", AddSQLString);
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -329,41 +332,41 @@
         /// <returns></returns>
         public bool UpdateFeild(int ConstructionCode, int FeildNo, object value, bool bConnect = true, int ApprovalCode = 0, int OrderNo = 0, int SeqNo = 0)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
-                strcmd = "UPDATE ProcessApprovalDetail";
+                strcmd.Append("UPDATE ProcessApprovalDetail");
 
-                strcmd += " SET";
+                strcmd.Append(" SET");
                 switch (FeildNo)
                 {
                     case (int)ColumnName.ConstructionCode:
-                        strcmd += string.Format(" ConstructionCode = {0}", ((int)value).ToString());
+                        strcmd.AppendFormat(" ConstructionCode = {0}", ((int)value).ToString());
                         break;
                     case (int)ColumnName.ApprovalCode:
-                        strcmd += string.Format(" ApprovalCode = {0}", ((int)value).ToString());
+                        strcmd.AppendFormat(" ApprovalCode = {0}", ((int)value).ToString());
                         break;
                     case (int)ColumnName.OrderNo:
-                        strcmd += string.Format(" OrderNo = {0}", ((int)value).ToString());
+                        strcmd.AppendFormat(" OrderNo = {0}", ((int)value).ToString());
                         break;
                     case (int)ColumnName.SerialNo:
-                        strcmd += string.Format(" SerialNo = {0}", ((int)value).ToString());
+                        strcmd.AppendFormat(" SerialNo = {0}", ((int)value).ToString());
                         break;
                     case (int)ColumnName.LinkCode:
-                        strcmd += string.Format(" PersonCode = {0}", ((int)value).ToString());
+                        strcmd.AppendFormat(" PersonCode = {0}", ((int)value).ToString());
                         break;
                 }
 
-                strcmd += ", UpdateDate = NOW()";
-                strcmd += CreatePrimarykeyString(ConstructionCode, ApprovalCode, OrderNo, SeqNo);
+                strcmd.Append(", UpdateDate = NOW()");
+                strcmd.Append(CreatePrimarykeyString(ConstructionCode, ApprovalCode, OrderNo, SeqNo));
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -407,23 +410,23 @@
         /// <returns>Where文字列</returns>
         public string CreatePrimarykeyString(int ConstructionCode, int ApprovalCode = 0, int OrderNo = 0, int SerialNo = 0, string APara = "")
         {
-            string strWork = string.Empty;
+            StringBuilder strWork = new StringBuilder();
             try
             {
-                strWork = string.Format(" Where {0}ConstructionCode = {1}", APara, ConstructionCode.ToString());
+                strWork.AppendFormat(" Where {0}ConstructionCode = {1}", APara, ConstructionCode.ToString());
                 if (ApprovalCode != 0)
-                    strWork += string.Format(" And {0}ApprovalCode = {1}", APara, ApprovalCode.ToString());
+                    strWork.AppendFormat(" And {0}ApprovalCode = {1}", APara, ApprovalCode.ToString());
                 if (OrderNo != 0)
-                    strWork += string.Format(" And {0}OrderNo = {1}", APara, OrderNo.ToString());
+                    strWork.AppendFormat(" And {0}OrderNo = {1}", APara, OrderNo.ToString());
                 if (SerialNo != 0)
-                    strWork += string.Format(" And {0}SerialNo = {1}", APara, SerialNo.ToString());
+                    strWork.AppendFormat(" And {0}SerialNo = {1}", APara, SerialNo.ToString());
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork.ToString());
             }
 
-            return strWork;
+            return strWork.ToString();
         }
         #endregion
 
@@ -435,16 +438,16 @@
         public int MaxSerialNoCount(string AddSQLString, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             ArrayList arData = new ArrayList();
             int iRet = 0;
             try
             {
                 // SQL作成
-                strcmd = "SELECT IFNULL(MAX(SerialNo), 0) FROM ProcessApprovalDetail" + AddSQLString;
+                strcmd.AppendFormat("SELECT IFNULL(MAX(SerialNo), 0) FROM ProcessApprovalDetail {0}", AddSQLString);
 
                 // SQL実行
-                if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return iRet;
 
                 // データセット
                 foreach (object[] objwrk in arData)
@@ -458,7 +461,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
             }
             return iRet;
         }
